using System;


namespace takmicenje
{
    class Program
    {
        // static double A;
        // static float P;

        static void Main(string[] args)
        {
            //deklaracija
            int n = int.Parse(Console.ReadLine());
            string input;
            string[] d = new string[2];

            int[] a = new int[n];
            float[] p = new float[n];
            //float[] ap = new float[n];


            //unos a i p
            for (int i = 0; i < n; i++)
            {
                input = Console.ReadLine();
                d = input.Split(' ');
                a[i] = int.Parse(d[0]);
                p[i] = float.Parse(d[1]);
                // ap[i] = a[i] * p[i];
            }

            Array.Sort(p, a);
            double sum;
            double maxsum = 0;
            for (int i = 0; i < n; i++)
            {
                maxsum += a[i];
            }
            double pp = p[0];
            if (n == 1)
            {
                Console.WriteLine(p[0] * a[0] / 100);
            }
            else
            {
                for (int i = 1; i < n; i++)
                {
                    sum = 0;
                    if (i < n / 2)
                    {
                        for (int j = 0; j < i; j++)
                        {
                            sum -= a[j];
                        }
                    }
                    else
                    {
                        for (int j = i; j < n; j++)
                        {
                            sum += a[j];
                        }
                    }
                    if (maxsum * pp < sum * p[i])
                    {
                        maxsum = (double)sum;
                        pp = (double)p[i];
                    }

                }
                Console.WriteLine(maxsum * pp / 100);
                Console.ReadLine();
            }


        }
    }
}